<?php

if (!class_exists('ESIG_EDD_Admin')) :

    class ESIG_EDD_Admin extends Esig_Edd_Settings {

        /**
         * Initialize the plugin by loading admin scripts & styles and adding a
         * settings page and menu.
         * @since     0.1
         */
        public static function Init() {
            // usr action 
            add_filter('esig_misc_more_document_actions', array(__CLASS__, 'esig_misc_page_more_acitons'), 10, 1);
            add_filter('show_sad_invite_link', array(__CLASS__, 'show_sad_invite_link'),10, 3);
            add_shortcode('esig-edd-order-details', array('ESIG_EDD_Frontend', 'esig_order_details'));
        }
        
        final static function show_sad_invite_link($show,$doc,$page_id){
             if(!isset($doc->document_content)){
                return $show ; 
            }
            $document_content = $doc->document_content;
            $document_raw = WP_E_Sig()->signature->decrypt(ENCRYPTION_KEY, $document_content);

            if (has_shortcode($document_raw, 'esig-edd-order-details')) {
               
              $show=false ; 
              return $show;
            }
            return $show;
        }
       

        public function get_sadpage_id_document_id($id) {
            global $wpdb;
            $db_table = $wpdb->prefix . 'esign_documents_stand_alone_docs';
            return $wpdb->get_var(
                            $wpdb->prepare(
                                    "SELECT page_id FROM " . $db_table . " WHERE document_id=%s", $id
                            )
            );
        }

        

        final static function esig_misc_page_more_acitons($misc_more_actions) {
            
            $class = (isset($_GET['page']) && $_GET['page'] == 'esign-edd') ? 'misc_current' : '';
            $misc_more_actions .=' | <a class="misc_link ' . $class . '" href="edit.php?post_type=download&page=edd-settings&tab=misc">' . __('Easy Digital Downloads', 'edd-esig') . '</a>';

            return $misc_more_actions;
        }

    }

endif;