<?php
if ( ! defined( 'ABSPATH' ) ) { 
    exit; // Exit if accessed directly
}

// To default a var, add it to an array
	
	// To default a var, add it to an array
	$vars = array(
		'messages', // will default $data['messages']
		'form_head', 
		'more_options', 
		'pdf_options', 
		'form_tail'
	);
	$this->default_vals($data, $vars);


	include($this->rootDir . DS . 'partials/_tab-nav.php'); 

	$esig_settings = new WP_E_Setting();
	
$esign_edd_agreement_setting=get_option('esign_edd_agreement_setting');
	
$esign_edd_sad_page=get_option('esign_edd_sad_page');

$agreement_disabled_agreement=(isset($esign_edd_agreement_setting) && $esign_edd_agreement_setting=='yes')?"checked":"";

?>

<div class="esign-misc-tab">
 <a class="misc_link" href="admin.php?page=esign-misc-general"><?php _e('General Option','esig-ulab') ?></a>  <?php echo $data['customizztion_more_links']; ?>
</div>

<?php 
if ( ! class_exists( 'Easy_Digital_Downloads' ) ){
?>
	<div class="alert e-sign-red-alert alert e-sign-alert esig-updated"><div class="title"></div><p class="message"><?php _e('<strong>Easy Digital Downloads Addons:</strong>WP E-signature requires Easy Digital Downloads','edd-esig'); ?> </p></div>
<?php } ?>

<h3><?php _e('E-signature Easy Digital Downloads Settings Page','edd-esig') ?></h3>

<p class="esign-feedback-alert"><?php _e('<strong>Get Started:</strong> This Easy Digital Downloads settings page lets you specify a <a href="admin.php?page=esign-docs&document_status=stand_alone">Stand Alone Document</a> that all Easy Digital Downloads customers are required to sign in order to complete the checkout process.  Once the document has been signed they will be redirected to the final checkout page.<br /><br />You can also attach a individual documents to individual products on the <a href="edit.php?post_type=product">product page</a>.','edd-esig'); ?></p>

<?php if (array_key_exists('message', $data)) { echo $data['message']; } ?>


 <div> <?php _e('This section lets you customize the WP E-Signature & Easy Digital Downloads Global Settings','edd-esig') ?></div>

<form name="esig_edd_form" class="esig_edd_form" method="post" action="">	
<table class="form-table esig_edd_form">
	<tbody>
        <tr>
			<th><label for="success_paragraph_text"><?php _e('Easy Digital Downloads Agreement','edd-esig') ?></label></th>
				<td>
				<input type="checkbox" name="esign_edd_agreement_setting" value="yes" <?php echo $agreement_disabled_agreement; ?>> Enable </td>
		</tr>
    	<tr>
			<th><label for="esig_success_image" id="esig_success_image_label"><?php _e('Agreement Document','edd-esig') ?></label></th>
			<td> 
			<select name="esign_edd_sad_page">
			<?php
			
			global $wpdb;
			$db_table =   $wpdb->prefix . 'esign_documents_stand_alone_docs';
			$stand_alone_pages = $wpdb->get_results("SELECT page_id, document_id FROM {$db_table}", OBJECT_K);
			
			$esig_document = new WP_E_Document();
			echo '<option value="">Please Select Agreement Document</option>' ; 
			foreach($stand_alone_pages as $sad_page)
			 {
			 	
			 	$document_status = $esig_document->getStatus($sad_page->document_id) ; 
			 	if($document_status !='trash')
			 	{
					if('publish' === get_post_status($sad_page->page_id ))
					{
						
							if($esign_edd_sad_page == $sad_page->page_id){ $selected="selected"; } else { $selected=""; }
							echo '<option value="'. $sad_page->page_id .'" '. $selected .' > '. get_the_title($sad_page->page_id ) .' </option>';
							
					}
				
				}	
				
				
			 }
			
			?>
			</select>
			</td>
		</tr>
		
	</tbody>
</table>

	<p> 
		<input type="submit" name="esig_edd_submit"  class="button-appme button" value="<?php _e('Save Settings','edd-esig') ?>" />
	</p>
</form>